'From Squeak3.7beta of ''1 April 2004'' [latest update: #5963] on 17 July 2004 at 11:42:57 pm'!

!Color methodsFor: 'printing-sixx' stamp: 'kuri-t 5/14/2002 14:19'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: self storeString! !


!Color class methodsFor: 'instance creation-sixx' stamp: 'MU 5/24/2003 18:22'!
createInstanceOf: aClass withSixxElement: sixxElement 
	^ self readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement))! !


!ContextPart methodsFor: 'printing-sixx' stamp: 'MU 10/27/2002 17:24'!
sixxContentOn: aStream indent: level context: dictionary
	SixxInvalidSerialization signal: self class name context: dictionary.
	aStream nextPutAll: self printString! !


!ContextPart class methodsFor: 'instance creation-sixx' stamp: 'MU 10/27/2002 17:35'!
createInstanceOf: aClass withSixxElement: sixxElement 
	SixxInvalidDeserialization signal: aClass name element: sixxElement. 
	^nil! !


!Date methodsFor: 'private-sixx' stamp: 'MU 9/16/2002 22:28'!
sixxContentString
	"Squeak Specific"
	^self printString! !


!FloatArray methodsFor: 'printing-sixx' stamp: 'MU 6/29/2002 16:03'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !


!FloatArray class methodsFor: 'instance creation-sixx' stamp: 'MU 5/24/2003 18:19'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^ col asFloatArray! !


!IntegerArray methodsFor: 'printing-sixx' stamp: 'MU 6/29/2002 16:03'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !


!IntegerArray class methodsFor: 'instance creation-sixx' stamp: 'MU 5/24/2003 18:19'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^ col asIntegerArray! !


!Preferences class methodsFor: 'personalization' stamp: 'mu 6/25/2004 19:41'!
sixxLoadPreferencesFrom: aFileName
	| stream params dict desktopColor |
	stream _ SixxReadStream readOnlyFileNamed: aFileName.
	params _ stream next.
	self assert: (params isKindOf: IdentityDictionary).
	params removeKey: #PersonalDictionaryOfPreferences.
	dict _ stream next.
	self assert: (dict isKindOf: IdentityDictionary).
	desktopColor _ stream next.
	stream close.
	dict keysAndValuesDo:
		[:key :value | (self preferenceAt: key ifAbsent: [nil]) ifNotNilDo:
			[:pref | pref preferenceValue: value preferenceValue]].

	params keysAndValuesDo: [ :key :value | self setParameter: key to: value ].

	Smalltalk isMorphic
		ifTrue: [ World fillStyle: desktopColor ]
		ifFalse: [ self desktopColor: desktopColor. ScheduledControllers updateGray ].
! !

!Preferences class methodsFor: 'personalization' stamp: 'mu 6/25/2004 19:27'!
sixxStorePreferencesIn: aFileName
	| stream |
	#(Prevailing PersonalPreferences) do: [ :ea | Parameters removeKey: ea ifAbsent: []].  
	stream _ SixxWriteStream newFileNamed: aFileName.
	stream nextPut: Parameters.
	stream nextPut: DictionaryOfPreferences.
	Smalltalk isMorphic
		ifTrue: [ stream nextPut: World fillStyle ]
		ifFalse: [ stream nextPut: DesktopColor ].
	stream close.! !


!ShortIntegerArray methodsFor: 'printing-sixx' stamp: 'mu 6/25/2004 21:03'!
sixxContentOn: aStream indent: level context: dictionary 
	aStream nextPutAll: '#( '.
	self do:[:each | aStream nextPutAll: each printString; space].
	aStream nextPutAll: ')'.! !


!ShortIntegerArray class methodsFor: 'instance creation-sixx' stamp: 'mu 6/25/2004 21:07'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| col |
	col := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	^self withAll: col! !


!ShortPointArray class methodsFor: 'instance creation-sixx' stamp: 'mu 6/25/2004 21:28'!
createInstanceOf: aClass withSixxElement: sixxElement 
	| rawCol points index pointStream |
	rawCol := Array readFrom: (ReadStream on: (SixxXmlUtil characterDataFrom: sixxElement)).
	rawCol := rawCol reject: [:e | e == #@].
	points := (Array new: rawCol size //2).
	index := 1.
	pointStream _  rawCol readStream.
	[pointStream atEnd] whileFalse: [
		points at: index put: (Point x: pointStream next asNumber y: pointStream next asNumber).
		index := index + 1.
	].
	
	^self withAll: points! !


!Time methodsFor: 'private-sixx' stamp: 'MU 9/16/2002 22:28'!
sixxContentString
	"Squeak Specific"
	^self printString! !

